---
title: VRDisplayEvent
slug: Web/API/VRDisplayEvent
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - VR
  - VRDisplayEvent
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>VRDisplayEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> represents the event object of WebVR-related events (see the<a href="/en-US/docs/Web/API/WebVR_API#Window"> list of WebVR window extensions</a>).</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("VRDisplayEvent.VRDisplayEvent()")}}</dt>
 <dd>Creates a <code>VRDisplayEvent</code> object instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em><code>VRDisplayEvent</code> also inherits properties from its parent object, {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("VRDisplayEvent.display")}} {{readonlyInline}}</dt>
 <dd>The {{domxref("VRDisplay")}} associated with this event.</dd>
 <dt>{{domxref("VRDisplayEvent.reason")}} {{readonlyInline}}</dt>
 <dd>A human-readable reason why the event was fired.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.addEventListener('vrdisplaypresentchange', function(e) {
  console.log('Display ' + e.display.displayId + ' presentation has changed. Reason given: ' + e.reason + '.');
})
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#interface-vrdisplayevent', 'VRDisplayEvent')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplayEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
